%define oname   hashery

Name:       ruby-%{oname}
Version:    2.0.1
Release:    %mkrel 8
Summary:    Facets-bread collection of Hash-like classes
Group:      Development/Ruby
License:    BSD
URL:        http://rubyworks.github.com/hashery
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
The Hashery is a tight collection of Hash-like classes. Included among
its many offerings are the auto-sorting Dictionary class, the efficient
LRUHash, the flexible OpenHash and the convenient KeyHash. Nearly every
class is a subclass of the CRUDHash which defines a CRUD model on top
of Ruby''s standard Hash making it a snap to subclass and augment to
fit any specific use case.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.rdoc DEMO.rdoc HISTORY.rdoc LICENSE.txt NOTICE.txt


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 2.0.1-8.mga4
+ Revision: 561951
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 2.0.1-7.mga4
+ Revision: 561284
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-6.mga4
+ Revision: 535513
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 2.0.1-5.mga4
+ Revision: 482078
- Rebuild for Ruby 2

* Sat Sep 14 2013 pterjan <pterjan> 2.0.1-4.mga4
+ Revision: 478989
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 2.0.1-3.mga3
+ Revision: 396021
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 380969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 2.0.1-1.mga3
+ Revision: 313762
- imported package ruby-hashery

